Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Michael Heerdegen <[email-masked]>
Date: Fri, 27 Oct 2023 03:27:59 +0200

Thierry Volpiatto <[email-masked]> writes:

> Why do you need another argument as long as you use `this-command`?
> You can use e.g. (pcase this-command ('foo #'foo-p) etc...)

I doubt all potential uses will use `this-command'.

It's cleaner if the command that knows what it wants passes the
information via argument than to make the other function derive it
indirectly from the context (functional style).

Maybe in the future we might need to pass other predicates as well.
What when a user wants to add another register command?  Or if a future
command needs to prompt more than once?

A predicate passed to the function can also be wrapped for further
filtering etc... that's all more controllable and extensible than hiding
the decision in a defun.

Michael.